How to make HBC 1.0.2 compatible with SDHCs

Discussion in 'Wii - Hacking' started by Aurora Wright, May 26, 2009.

  1. Aurora Wright
    OP

    Aurora Wright GBAtemp Advanced Maniac

    Member
    1,544
    4,100
    Aug 13, 2006
    Italy
    To do this, your IOSes have to allow it (you cannot use trucha-fixed ones!).
    - Download this package;
    - Copy its contents on the SD card;
    - Launch FSToolbox from the Homebrew Channel;
    - Navigate to title/00010001/48415858/content and select title.tmd;
    - Press + on the WiiMote, it will overwrite the HBC TMD with one edited to use IOS36 instead of IOS61;
    - Exit with Home.

    Note: it's just not possible to repack a modified WAD, because they added a scam warning if a WAD installation is detected. [​IMG]

    Thanks to nicksasa for his awesome FSToolbox!
     
  2. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)
    Awesome, thanks
     
  3. Adr990

    Adr990 To boldly go where no man has gone before!

    Member
    1,470
    146
    Apr 22, 2007
    Netherlands
    The Netherlands
    Can we dump the channel to WAD and Upload it?

    For the lazy , with trucha bug Wii's?

    Or just the .Bin file.
    So you just can do this:
    Install HBC102 with HackMii Installer.
    And than remove the channel via The Wii. (Not Anytitle Deleter/Format/HackMii Installer/WAD Managers!)
    And than copy the .Bin file to your Wii. [​IMG]

    But really nice job!

    Thanks. (Though I prefer to use 2GB Cards... just more support, just for all applications.)
     
  4. Bloodlust

    Bloodlust GBAtemp Maniac

    Member
    1,071
    2
    May 25, 2006
    Hong Kong
    Say, what IOS was 1.0.1 originally on? Is it ok to patch 1.0.2 on a 4.0 machine?
     
  5. Aurora Wright
    OP

    Aurora Wright GBAtemp Advanced Maniac

    Member
    1,544
    4,100
    Aug 13, 2006
    Italy
    IOS36.
     
  6. Bloodlust

    Bloodlust GBAtemp Maniac

    Member
    1,071
    2
    May 25, 2006
    Hong Kong
    You mean only trucha patched IOSes will work?
     
  7. gloscherrybomb

    gloscherrybomb GBAtemp Regular

    Member
    107
    0
    Apr 1, 2009
    If the HBC cant access a SDHC card, then how can you launch fstoolbox from the homebrew channel?
     
  8. Aurora Wright
    OP

    Aurora Wright GBAtemp Advanced Maniac

    Member
    1,544
    4,100
    Aug 13, 2006
    Italy
    If your Wii has a "virgin" 4.0 it won't work.
    @ gloscherrybomb: you use a different SD, or you can try to use BannerBomb (I don't know if it supports SDHC cards).
     
  9. Adr990

    Adr990 To boldly go where no man has gone before!

    Member
    1,470
    146
    Apr 22, 2007
    Netherlands
    The Netherlands
    I did this.

    And now HBC gives me a This software must not be sold message.. :/

    It takes really long before I can press 1.

    Olol! And the middle finger [​IMG]
     
  10. rommy667

    rommy667 GBAtemp Advanced Fan

    Member
    516
    7
    Mar 21, 2008
    Down the road around the corner
    I think ill stay on 1.01 for now as its working perfect with my 16 gig micro sandisk but it wont work with my 2 8 gig kingstons.
     
  11. joda

    joda GBAtemp Fan

    Member
    436
    0
    Jul 12, 2007
    UmeƄ
    wiiload over tcp.

    This is not needed for long since the bug that caused it is fixed. http://bugs.hackmii.com/index.php?do=details&task_id=35
     
  12. loopguy

    loopguy GBAtemp Regular

    Member
    229
    0
    Mar 19, 2007
    Gambia, The
    any way to get rid of that annoying prompt??? [​IMG]